Skip to main content
GET
/
api
/
v1
/
graph
Get Graph Viewport
curl --request GET \
  --url https://api.example.com/api/v1/graph \
  --header 'Authorization: Bearer <token>'
{
  "nodes": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "entity_type": "<string>",
      "edge_count": 123
    }
  ],
  "edges": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "source_entity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "target_entity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "relation_type": "<string>",
      "confidence": 123,
      "valid_from": "2023-11-07T05:31:56Z",
      "recorded_at": "2023-11-07T05:31:56Z"
    }
  ],
  "total_nodes": 123,
  "total_edges": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.crosmos.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT access token or API key (csk_…)

Query Parameters

limit
integer
default:100

Max nodes to return

Required range: 1 <= x <= 500
offset
integer
default:0
Required range: x >= 0
space_uuid
string<uuid>
required

Response

Successful Response

nodes
GraphNode · object[]
required
edges
GraphEdge · object[]
required
total_nodes
integer
required
total_edges
integer
required